<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Dynamic Styling</h1>
    </header>
    <section id="styling">
      <div 
        class="demo" 
        :style="{borderColor: boxASelected ? 'red' : '#ccc'}" 
        @click="boxSelected('A')">
      </div>
      <div 
        :class="boxBSelected ? 'demo active' : 'demo'" 
        @click="boxSelected('B')"></div>
      <div 
        :class="{demo: true, active: boxCSelected}" 
        @click="boxSelected('C')"></div>
      <div
        class="demo"
        :class="{active: boxDSelected}" 
        @click="boxSelected('D')"></div>
      <div
        class="demo"
        :class="boxEClasses" 
        @click="boxSelected('E')"></div>
      <div
        :class="[ 'demo', {active: boxFSelected}]" 
        @click="boxSelected('F')"></div>
    </section>
  </body>
</html>
